package com.lz.modules.flow.dao;
/**
* <p>
* 记录表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.modules.flow.entity.RecordRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface RecordRoleMapper extends BaseMapper<RecordRole> {


	RecordRole selectRecordRoleById(@Param("id")Long id);


	Long insertRecordRole(RecordRole recordRole);


	int updateRecordRoleById(RecordRole recordRole);


	int updateCoverRecordRoleById(RecordRole recordRole);


	int deleteRecordRoleById(@Param("id")Long id);

    List<RecordRole> selectByCondition(@Param("page") IPage page, @Param("params") Map<String, Object> params);

	List<RecordRole> selectAll();
}